Phabricator安装向导

原创
2013/04/28 20:05
阅读数 1.4W

安装向导

该文档包含获得以及运行Phabricator所需的最基本安装指引。

安装要求

Phabricator是一个LAMP应用套件,因此最基本的要求就是LAMP环境:

  • Linux:Linux的不同发行版及变种是必需的。Mac OS X是一个可接受的Linux变种,Windows不是。Phabricator不能安装在Windows系统上。在Mac OS X,Amazon Linux,Ubuntu,RHEL和CentOS上运行的Phabricator有活跃的贡献者;如果你运行在其他的Linux发行版上,请发送补丁或投诉。
  • Apache(或nginx,或lighttpd):需要Apache 2.2.7以上版本。
  • MySQL:MySQL必需
  • PHP:需要PHP5.2以上版本

注意:Phabricator的命令行接口--Arcanist,可以在Windows上正常运行。查看详细说明:Arcanist User Guide: Windows

你可能也需要一个域名和一台能连接互联网的电脑。

安装必需的组件

如果你在Ubuntu或Redhat及其衍生版本上安装,这里有可用的安装脚本,这些脚本可以自动处理下面文档中讨论的大部分操作:

如果这些可以为你工作,你可以直接跳过下面的操作到配置向导页。

否则,如下所列将是你必须安装的:

  • git(在包管理系统中通常叫作git)
  • Apache(通常叫作httpd或apache2)(或nginx)
  • MySQL服务器(通常叫作mysqld或mysql-server)
  • PHP(通常叫作php)
  • 必需的PHP扩展:mbstring, iconv, mysql (或 mysqli), curl, pcntl (或者 "php-mysql" 或 "php5-mysql")
  • 可选的PHP扩展:gd, apc (安装该扩展如果有困惑,请看下面的APC安装说明), xhprof (下面有说明,仅在你对Phabricator做二次开发时需要)

如果你已经设置好LAMP环境,你可以已经获得你所需的任何东东。

既然你已经安装以上所需的东东,下面获取Phabricator以及其依赖包:

$ cd somewhere/ # 切换到安装目录
 somewhere/ $ git clone git://github.com/facebook/libphutil.git 
somewhere/ $ git clone git://github.com/facebook/arcanist.git 
somewhere/ $ git clone git://github.com/facebook/phabricator.git

安装APC (可选)

Like everything else written in PHP, Phabricator will run much faster with APC installed. You likely need to install "pcre-devel" first:

sudo yum install pcre-devel

Then you have two options. Either install via PECL (try this first):

sudo yum install php-pear sudo pecl install apc

If that doesn't work, grab the package from PECL directly and follow the build instructions there:

http://pecl.php.net/package/APC

Installing APC is optional but strongly recommended, especially on production hosts.

Once APC is installed, test that it is available by running:

php -i | grep apc

If it doesn't show up, add:

extension=apc.so

..to "/etc/php.d/apc.ini" or the "php.ini" file indicated by "php -i".

安装XHProf (可选)

XHProf is a PHP profiling tool. You don't need to install it unless you are developing Phabricator and making performance changes.

You can install xhprof with:

$ pecl install xhprof

If you have a PEAR version prior to 1.9.3, you may run into a phpize failure. If so, you can download the source and build it with:

$ cd extension/ $ phpize $ ./configure $ make $ sudo make install

You may also need to add "extension=xhprof.so" to your php.ini.

See https://bugs.php.net/bug.php?id=59747 for more information.

更新Phabricator

由于Phabricator一直在活跃发展中,你应该经常更新它。如何更新:

  • 停止webserver的运行
  • 运行git拉取libphutil/,arcanist/,phabricator
  • 运行phabricator/bin/storage upgrade
  • 重新启动webserver

参看配置向导以获取更多细节。你也可以使用类似如下的脚本以自动化的方式更新:

http://www.phabricator.com/rsrc/install/update_phabricator.sh

下一步

  • 安装配置向导配置Phabricator
展开阅读全文
加载中

作者的其它热门文章

打赏
0
3 收藏
分享
打赏
0 评论
3 收藏
0
分享
返回顶部
顶部